bson_encode
MongoException
Mongo
PHP Manual

# Exceptions

## Sommaire

- MongoException
- MongoResultException
- MongoCursorException
- MongoCursorTimeoutException
- MongoConnectionException
- MongoGridFSException

## Spécificités VMWare

Si vous utilisez VMWare sous Windows et que vous utilisez CIFS, mettre en pause la VM désynchronisera CIFS et conduira à des erreurs sournoises à la reprise ("The Mongo object has not been correctly initialized by its constructor"). Monter les partages Windows de manière permanente corrigera ce comportement et vous pourrez alors mettre en pause et restaurer sans problème.

Pour monter les partages Windows de manière permanente, lancez:

    $ sudo update-rc.d -f umountnfs.sh remove
    $ sudo update-rc.d umountnfs.sh stop 15 0 6 .

Voyez » les documents Ubuntu pour des instructions plus à jour.

bson_encode
MongoException
Mongo
PHP Manual